module Formic
  class Button < Base
    default_template 'formic/default/button'

    attr_reader :label
    def _initialize label=nil, options={}, &block
      if label.instance_of? Hash
        options = label
        label = nil
      end

      super options, &block
      @label = label
    end

    def method_missing method, label=nil, options={}, &block
      super method, label, options{}, &block
      @label ||=  method.to_s.underscore.titleize
      return self
    end
  end
end
