module Formic
  class Tab < Base
    default_template 'formic/default/tab'

    attr_reader :title

    def _initialize title='', options={}, &block
      super options, &block
      @title = title
      self.tab_panel.tabs.push self
      self.options[:id] ||= "#{title.downcase.gsub(' ', '_')}_tab"
      return self
    end

    def tab_panel
      self.formics.each do |element|
        return element if element.instance_of? Formic::TabPanel
      end

      return nil
    end
  end
end
